package me.totalfreedom.totalfreedommod.api;

import me.totalfreedom.totalfreedommod.admin.Admin;
import me.totalfreedom.totalfreedommod.player.PlayerData;
import org.bukkit.OfflinePlayer;
import org.bukkit.entity.Player;

import java.util.Map;

public interface TFD4JCommons
{
    void messageAdminChatChannel(String message);

    void clearQueue();

    void messageChatChannel(String message, boolean system);

    boolean syncRoles(Admin admin, String id);

    String getCode(PlayerData playerData);

    String generateCode(int size);

    Map<String, PlayerData> getLinkCodes();

    String formatBotTag();

    boolean sendReportOffline(Player reporter, OfflinePlayer reported, String reason);

    boolean sendReport(Player reporter, Player reported, String reason);

    boolean isEnabled();
}
